Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class QNameDeserializer

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.axis.message.SOAPHandler
                  |
                  +--org.apache.axis.encoding.DeserializerImpl
                        |
                        +--org.apache.axis.encoding.ser.SimpleDeserializer
                              |
                              +--org.apache.axis.encoding.ser.QNameDeserializer

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, Deserializer, Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

public class QNameDeserializer
extends SimpleDeserializer

The DateSerializer deserializes a Date. Much of the work is done in the base class.

Author:
  Sam Ruby (rubys@us.ibm.com) Modified for JAX-RPC @author Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Fields inherited from class org.apache.axis.encoding.ser.SimpleDeserializer
`cacheStringDSer, cacheXMLType, javaType, xmlType`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`defaultType, id, isEnded, isHref, isNil, log, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`QNameDeserializer(java.lang.Class javaType, QName xmlType)` The Deserializer is constructed with the xmlType and javaType

Method Summary
`java.lang.Object` | `makeValue(java.lang.String source)` The simple deserializer provides most of the stuff.
`void` | `onStartElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)` Set the bean properties that correspond to element attributes.

Methods inherited from class org.apache.axis.encoding.ser.SimpleDeserializer
`characters, onEndElement, onStartChild, removeValueTargets, reset, setConstructor`

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, registerValueTarget, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QNameDeserializer

    public QNameDeserializer(java.lang.Class javaType,
                             QName xmlType)

  The Deserializer is constructed with the xmlType and javaType

Method Detail

### makeValue

    public java.lang.Object makeValue(java.lang.String source)

  The simple deserializer provides most of the stuff. We just need to override makeValue().
  Overrides:
    `makeValue` in class `SimpleDeserializer`
  Following copied from class: `org.apache.axis.encoding.ser.SimpleDeserializer`
  Parameters:
    `source` - the serialized value to be deserialized
  Throws:
    `java.lang.Exception` - any exception thrown by this method will be wrapped

### onStartElement

    public void onStartElement(java.lang.String namespace,
                               java.lang.String localName,
                               java.lang.String prefix,
                               org.xml.sax.Attributes attributes,
                               DeserializationContext context)
                        throws org.xml.sax.SAXException

  Description copied from class: `SimpleDeserializer`
  Set the bean properties that correspond to element attributes. This method is invoked after startElement when the element requires deserialization (i.e. the element is not an href and the value is not nil.)
  Overrides:
    `onStartElement` in class `SimpleDeserializer`
  Following copied from class: `org.apache.axis.encoding.ser.SimpleDeserializer`
  Parameters:
    `namespace` - is the namespace of the element
    `localName` - is the name of the element
    `prefix` - is the prefix of the element
    `attributes` - are the attributes on the element...used to get the type
    `context` - is the DeserializationContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.